#define X_STEP_PIN 54 // define the pins of the X motor on the ramps
#define X_DIR_PIN 55
#define X_ENABLE_PIN 38
#define X_MIN_PIN 3
#define X_MAX_PIN 2

#define Y_STEP_PIN 60 // define the pins of the Y motor on the ramps
#define Y_DIR_PIN 61
#define Y_ENABLE_PIN 56
#define Y_MIN_PIN 14
#define Y_MAX_PIN 15

#define Z_STEP_PIN 46 // define the pins of the Z motor on the ramps
#define Z_DIR_PIN 48
#define Z_ENABLE_PIN 62
#define Z_MIN_PIN 18
#define Z_MAX_PIN 19

void setup()
{
 pinMode(X_STEP_PIN , OUTPUT); // define the function of the X motor step on the program
 pinMode(X_DIR_PIN , OUTPUT); // define the function of the X motor direction on the program
 pinMode(X_ENABLE_PIN , OUTPUT); // define the function of the X motor enable on the program
 pinMode(Y_STEP_PIN , OUTPUT); // define the function of the Y motor step on the program
 pinMode(Y_DIR_PIN , OUTPUT); // define the function of the Y motor direction on the program
 pinMode(Y_ENABLE_PIN , OUTPUT); // define the function of the Y motor enable on the program
 pinMode(Z_STEP_PIN , OUTPUT); // define the function of the Z motor step on the program
 pinMode(Z_DIR_PIN , OUTPUT); // define the function of the Z motor direction on the program
 pinMode(Z_ENABLE_PIN , OUTPUT); // define the function of the Z motor enable on the program
 
 digitalWrite(X_ENABLE_PIN , LOW); // we put off the X motor at the initialization 
 digitalWrite(Y_ENABLE_PIN , LOW); // we put off the Y motor at the initialization
 digitalWrite(Z_ENABLE_PIN , LOW); // we put off the Z motor at the initialization


}

void loop ()
{
 
//calculations to be made and measures to be taken:
// Td: TOP DIAMETER:115
// Bd: BOTTON DIAMETER:85
// Th: TOTAL HEIGHT:70
// Md: MARKER DIAMETER:1
// Th/Md= 70/1=70    Y microsteps= 1/0.0025=400
// Td-Bd=115-85=30    X microsteps= 30/70= 0.43/0.0025= 172

// CONTROL MOTOR Z
 {
digitalWrite(Z_DIR_PIN , HIGH);// Turn the stepper on this way
 for (int i = 0; i <= 3200; i++) // DONT MODIFY, 1ROUND FOR 3200 MICROSTEPS
 {
  digitalWrite(Z_STEP_PIN , HIGH);// this is to turn on the stepper, move the round and then turn off
 delay(1);
  digitalWrite(Z_STEP_PIN , LOW);
 }
delay(1000);//wait one seconde before next movement

 }  
// CONTROL MOTOR X

{
 digitalWrite(X_DIR_PIN , HIGH);// Turn the stepper on this way
 for (int i = 0; i <= 2400; i++) // 1 microstep= 0.0025mm , this is the distance to move the stepper in this case 0.43mm
 {
 digitalWrite(X_STEP_PIN , HIGH);// this is to turn on the stepper, move the 0.43 mm and then turn off
 delay(1);
 digitalWrite(X_STEP_PIN , LOW);
 }
 delay(1000);//wait one seconde before next movement
}
 
 // CONTROL MOTOR Y
 {
 digitalWrite(Y_DIR_PIN , HIGH);// Turn the stepper on this way
 for (int i = 0; i <= 10800; i++) // 1 microstep= 0.0025mm , this is the distance to move the stepper in this case 1mm
 {
 digitalWrite(Y_STEP_PIN , HIGH);// this is to turn on the stepper, move the 1 mm and then turn off
 delay(1);
 digitalWrite(Y_STEP_PIN , LOW);
 }
 delay(1000);//wait one seconde before next movement
}
 
 

}